gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.Grid

Contents

- Exported types
- Methods
  - attach
  - attachNextTo
  - getBaselineRow
  - getChildAt
  - getColumnHomogeneous
  - getColumnSpacing
  - getRowBaselinePosition
  - getRowHomogeneous
  - getRowSpacing
  - insertColumn
  - insertNextTo
  - insertRow
  - new
  - removeColumn
  - removeRow
  - setBaselineRow
  - setColumnHomogeneous
  - setColumnSpacing
  - setRowBaselinePosition
  - setRowHomogeneous
  - setRowSpacing
- Properties
  - baselineRow
  - columnHomogeneous
  - columnSpacing
  - rowHomogeneous
  - rowSpacing

Description

GtkGrid is a container which arranges its child widgets in rows and columns, with arbitrary positions and horizontal/vertical spans.

Children are added using `gridAttach`. They can span multiple rows or columns. It is also possible to add a child next to an existing child, using `gridAttachNextTo`. The behaviour of GtkGrid when several children occupy the same grid cell is undefined.

GtkGrid can be used like a `Box` by just using `containerAdd`, which will place children next to each other in the direction determined by the Orientable:orientation property. However, if all you want is a single row or column, then `Box` is the preferred widget.

# CSS nodes

GtkGrid uses a single CSS node with name grid.

Synopsis

- newtype Grid = Grid (ManagedPtr Grid)
- class (GObject o, IsDescendantOf Grid o) => IsGrid o
- toGrid :: (MonadIO m, IsGrid o) => o -> m Grid
- gridAttach :: (HasCallStack, MonadIO m, IsGrid a, IsWidget b) => a -> b -> Int32 -> Int32 -> Int32 -> Int32 -> m ()
- gridAttachNextTo :: (HasCallStack, MonadIO m, IsGrid a, IsWidget b, IsWidget c) => a -> b -> Maybe c -> PositionType -> Int32 -> Int32 -> m ()
- gridGetBaselineRow :: (HasCallStack, MonadIO m, IsGrid a) => a -> m Int32
- gridGetChildAt :: (HasCallStack, MonadIO m, IsGrid a) => a -> Int32 -> Int32 -> m (Maybe Widget)
- gridGetColumnHomogeneous :: (HasCallStack, MonadIO m, IsGrid a) => a -> m Bool
- gridGetColumnSpacing :: (HasCallStack, MonadIO m, IsGrid a) => a -> m Word32
- gridGetRowBaselinePosition :: (HasCallStack, MonadIO m, IsGrid a) => a -> Int32 -> m BaselinePosition
- gridGetRowHomogeneous :: (HasCallStack, MonadIO m, IsGrid a) => a -> m Bool
- gridGetRowSpacing :: (HasCallStack, MonadIO m, IsGrid a) => a -> m Word32
- gridInsertColumn :: (HasCallStack, MonadIO m, IsGrid a) => a -> Int32 -> m ()
- gridInsertNextTo :: (HasCallStack, MonadIO m, IsGrid a, IsWidget b) => a -> b -> PositionType -> m ()
- gridInsertRow :: (HasCallStack, MonadIO m, IsGrid a) => a -> Int32 -> m ()
- gridNew :: (HasCallStack, MonadIO m) => m Grid
- gridRemoveColumn :: (HasCallStack, MonadIO m, IsGrid a) => a -> Int32 -> m ()
- gridRemoveRow :: (HasCallStack, MonadIO m, IsGrid a) => a -> Int32 -> m ()
- gridSetBaselineRow :: (HasCallStack, MonadIO m, IsGrid a) => a -> Int32 -> m ()
- gridSetColumnHomogeneous :: (HasCallStack, MonadIO m, IsGrid a) => a -> Bool -> m ()
- gridSetColumnSpacing :: (HasCallStack, MonadIO m, IsGrid a) => a -> Word32 -> m ()
- gridSetRowBaselinePosition :: (HasCallStack, MonadIO m, IsGrid a) => a -> Int32 -> BaselinePosition -> m ()
- gridSetRowHomogeneous :: (HasCallStack, MonadIO m, IsGrid a) => a -> Bool -> m ()
- gridSetRowSpacing :: (HasCallStack, MonadIO m, IsGrid a) => a -> Word32 -> m ()
- constructGridBaselineRow :: (IsGrid o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getGridBaselineRow :: (MonadIO m, IsGrid o) => o -> m Int32
- setGridBaselineRow :: (MonadIO m, IsGrid o) => o -> Int32 -> m ()
- constructGridColumnHomogeneous :: (IsGrid o, MonadIO m) => Bool -> m (GValueConstruct o)
- getGridColumnHomogeneous :: (MonadIO m, IsGrid o) => o -> m Bool
- setGridColumnHomogeneous :: (MonadIO m, IsGrid o) => o -> Bool -> m ()
- constructGridColumnSpacing :: (IsGrid o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getGridColumnSpacing :: (MonadIO m, IsGrid o) => o -> m Int32
- setGridColumnSpacing :: (MonadIO m, IsGrid o) => o -> Int32 -> m ()
- constructGridRowHomogeneous :: (IsGrid o, MonadIO m) => Bool -> m (GValueConstruct o)
- getGridRowHomogeneous :: (MonadIO m, IsGrid o) => o -> m Bool
- setGridRowHomogeneous :: (MonadIO m, IsGrid o) => o -> Bool -> m ()
- constructGridRowSpacing :: (IsGrid o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getGridRowSpacing :: (MonadIO m, IsGrid o) => o -> m Int32
- setGridRowSpacing :: (MonadIO m, IsGrid o) => o -> Int32 -> m ()

# Exported types

newtype Grid Source #

Memory-managed wrapper type.

Constructors

Grid (ManagedPtr Grid) |

#### Instances

Instances details

Eq Grid Source # |
Instance details Defined in GI.Gtk.Objects.Grid Methods (==) :: Grid -> Grid -> Bool Source # (/=) :: Grid -> Grid -> Bool Source #
GObject Grid Source # |
Instance details Defined in GI.Gtk.Objects.Grid
ManagedPtrNewtype Grid Source # |
Instance details Defined in GI.Gtk.Objects.Grid Methods toManagedPtr :: Grid -> ManagedPtr Grid Source #
TypedObject Grid Source # |
Instance details Defined in GI.Gtk.Objects.Grid Methods glibType :: IO GType Source #
HasParentTypes Grid Source # |
Instance details Defined in GI.Gtk.Objects.Grid
IsGValue (Maybe Grid) Source # | Convert `Grid` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.Grid Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Grid -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Grid) Source #
type ParentTypes Grid Source # |
Instance details Defined in GI.Gtk.Objects.Grid type ParentTypes Grid = '[Container, Widget, Object, ImplementorIface, Buildable, Orientable]

class (GObject o, IsDescendantOf Grid o) => IsGrid o Source #

Type class for types which can be safely cast to `Grid`, for instance with `toGrid`.

#### Instances

Instances details

(GObject o, IsDescendantOf Grid o) => IsGrid o Source # |
Instance details Defined in GI.Gtk.Objects.Grid

toGrid :: (MonadIO m, IsGrid o) => o -> m Grid Source #

Cast to `Grid`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

activate, add, addAccelerator, addChild, addDeviceEvents, addEvents, addMnemonicLabel, addTickCallback, attach, attachNextTo, bindProperty, bindPropertyFull, canActivateAccel, checkResize, childFocus, childGetProperty, childNotify, childNotifyByPspec, childSetProperty, childType, classPath, computeExpand, constructChild, createPangoContext, createPangoLayout, customFinished, customTagEnd, customTagStart, destroy, destroyed, deviceIsShadowed, dragBegin, dragBeginWithCoordinates, dragCheckThreshold, dragDestAddImageTargets, dragDestAddTextTargets, dragDestAddUriTargets, dragDestFindTarget, dragDestGetTargetList, dragDestGetTrackMotion, dragDestSet, dragDestSetProxy, dragDestSetTargetList, dragDestSetTrackMotion, dragDestUnset, dragGetData, dragHighlight, dragSourceAddImageTargets, dragSourceAddTextTargets, dragSourceAddUriTargets, dragSourceGetTargetList, dragSourceSet, dragSourceSetIconGicon, dragSourceSetIconName, dragSourceSetIconPixbuf, dragSourceSetIconStock, dragSourceSetTargetList, dragSourceUnset, dragUnhighlight, draw, ensureStyle, errorBell, event, forall, forceFloating, foreach, freezeChildNotify, freezeNotify, getv, grabAdd, grabDefault, grabFocus, grabRemove, hasDefault, hasFocus, hasGrab, hasRcStyle, hasScreen, hasVisibleFocus, hide, hideOnDelete, inDestruction, initTemplate, inputShapeCombineRegion, insertActionGroup, insertColumn, insertNextTo, insertRow, intersect, isAncestor, isComposited, isDrawable, isFloating, isFocus, isSensitive, isToplevel, isVisible, keynavFailed, listAccelClosures, listActionPrefixes, listMnemonicLabels, map, mnemonicActivate, modifyBase, modifyBg, modifyCursor, modifyFg, modifyFont, modifyStyle, modifyText, notify, notifyByPspec, overrideBackgroundColor, overrideColor, overrideCursor, overrideFont, overrideSymbolicColor, parserFinished, path, propagateDraw, queueAllocate, queueComputeExpand, queueDraw, queueDrawArea, queueDrawRegion, queueResize, queueResizeNoRedraw, realize, ref, refSink, regionIntersect, registerWindow, remove, removeAccelerator, removeColumn, removeMnemonicLabel, removeRow, removeTickCallback, renderIcon, renderIconPixbuf, reparent, resetRcStyles, resetStyle, resizeChildren, runDispose, sendExpose, sendFocusChange, shapeCombineRegion, show, showAll, showNow, sizeAllocate, sizeAllocateWithBaseline, sizeRequest, stealData, stealQdata, styleAttach, styleGetProperty, thawChildNotify, thawNotify, translateCoordinates, triggerTooltipQuery, unmap, unparent, unrealize, unref, unregisterWindow, unsetFocusChain, unsetStateFlags, watchClosure.

#### Getters

getAccessible, getActionGroup, getAllocatedBaseline, getAllocatedHeight, getAllocatedSize, getAllocatedWidth, getAllocation, getAncestor, getAppPaintable, getBaselineRow, getBorderWidth, getCanDefault, getCanFocus, getChildAt, getChildRequisition, getChildVisible, getChildren, getClip, getClipboard, getColumnHomogeneous, getColumnSpacing, getCompositeName, getData, getDeviceEnabled, getDeviceEvents, getDirection, getDisplay, getDoubleBuffered, getEvents, getFocusChain, getFocusChild, getFocusHadjustment, getFocusOnClick, getFocusVadjustment, getFontMap, getFontOptions, getFrameClock, getHalign, getHasTooltip, getHasWindow, getHexpand, getHexpandSet, getInternalChild, getMapped, getMarginBottom, getMarginEnd, getMarginLeft, getMarginRight, getMarginStart, getMarginTop, getModifierMask, getModifierStyle, getName, getNoShowAll, getOpacity, getOrientation, getPangoContext, getParent, getParentWindow, getPath, getPathForChild, getPointer, getPreferredHeight, getPreferredHeightAndBaselineForWidth, getPreferredHeightForWidth, getPreferredSize, getPreferredWidth, getPreferredWidthForHeight, getProperty, getQdata, getRealized, getReceivesDefault, getRequestMode, getRequisition, getResizeMode, getRootWindow, getRowBaselinePosition, getRowHomogeneous, getRowSpacing, getScaleFactor, getScreen, getSensitive, getSettings, getSizeRequest, getState, getStateFlags, getStyle, getStyleContext, getSupportMultidevice, getTemplateChild, getTooltipMarkup, getTooltipText, getTooltipWindow, getToplevel, getValign, getValignWithBaseline, getVexpand, getVexpandSet, getVisible, getVisual, getWindow.

#### Setters

setAccelPath, setAllocation, setAppPaintable, setBaselineRow, setBorderWidth, setBuildableProperty, setCanDefault, setCanFocus, setChildVisible, setClip, setColumnHomogeneous, setColumnSpacing, setCompositeName, setData, setDataFull, setDeviceEnabled, setDeviceEvents, setDirection, setDoubleBuffered, setEvents, setFocusChain, setFocusChild, setFocusHadjustment, setFocusOnClick, setFocusVadjustment, setFontMap, setFontOptions, setHalign, setHasTooltip, setHasWindow, setHexpand, setHexpandSet, setMapped, setMarginBottom, setMarginEnd, setMarginLeft, setMarginRight, setMarginStart, setMarginTop, setName, setNoShowAll, setOpacity, setOrientation, setParent, setParentWindow, setProperty, setRealized, setReallocateRedraws, setReceivesDefault, setRedrawOnAllocate, setResizeMode, setRowBaselinePosition, setRowHomogeneous, setRowSpacing, setSensitive, setSizeRequest, setState, setStateFlags, setStyle, setSupportMultidevice, setTooltipMarkup, setTooltipText, setTooltipWindow, setValign, setVexpand, setVexpandSet, setVisible, setVisual, setWindow.

## attach

gridAttach Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a, IsWidget b) |
=> a | `grid`: a `Grid`
-> b | `child`: the widget to add
-> Int32 | `left`: the column number to attach the left side of `child` to
-> Int32 | `top`: the row number to attach the top side of `child` to
-> Int32 | `width`: the number of columns that `child` will span
-> Int32 | `height`: the number of rows that `child` will span
-> m () |

Adds a widget to the grid.

The position of `child` is determined by `left` and `top`. The number of “cells” that `child` will occupy is determined by `width` and `height`.

## attachNextTo

gridAttachNextTo Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a, IsWidget b, IsWidget c) |
=> a | `grid`: a `Grid`
-> b | `child`: the widget to add
-> Maybe c | `sibling`: the child of `grid` that `child` will be placed next to, or `Nothing` to place `child` at the beginning or end
-> PositionType | `side`: the side of `sibling` that `child` is positioned next to
-> Int32 | `width`: the number of columns that `child` will span
-> Int32 | `height`: the number of rows that `child` will span
-> m () |

Adds a widget to the grid.

The widget is placed next to `sibling`, on the side determined by `side`. When `sibling` is `Nothing`, the widget is placed in row (for left or right placement) or column 0 (for top or bottom placement), at the end indicated by `side`.

Attaching widgets labeled [1], [2], [3] with `sibling` == `Nothing` and `side` == `PositionTypeLeft` yields a layout of [3][2][1].

## getBaselineRow

gridGetBaselineRow Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> m Int32 | Returns: the row index defining the global baseline

Returns which row defines the global baseline of `grid`.

Since: 3.10

## getChildAt

gridGetChildAt Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> Int32 | `left`: the left edge of the cell
-> Int32 | `top`: the top edge of the cell
-> m (Maybe Widget) | Returns: the child at the given position, or `Nothing`

Gets the child of `grid` whose area covers the grid cell whose upper left corner is at `left`, `top`.

Since: 3.2

## getColumnHomogeneous

gridGetColumnHomogeneous Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> m Bool | Returns: whether all columns of `grid` have the same width.

Returns whether all columns of `grid` have the same width.

## getColumnSpacing

gridGetColumnSpacing Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> m Word32 | Returns: the column spacing of `grid`

Returns the amount of space between the columns of `grid`.

## getRowBaselinePosition

gridGetRowBaselinePosition Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> Int32 | `row`: a row index
-> m BaselinePosition | Returns: the baseline position of `row`

Returns the baseline position of `row` as set by `gridSetRowBaselinePosition` or the default value `BaselinePositionCenter`.

Since: 3.10

## getRowHomogeneous

gridGetRowHomogeneous Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> m Bool | Returns: whether all rows of `grid` have the same height.

Returns whether all rows of `grid` have the same height.

## getRowSpacing

gridGetRowSpacing Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> m Word32 | Returns: the row spacing of `grid`

Returns the amount of space between the rows of `grid`.

## insertColumn

gridInsertColumn Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> Int32 | `position`: the position to insert the column at
-> m () |

Inserts a column at the specified position.

Children which are attached at or to the right of this position are moved one column to the right. Children which span across this position are grown to span the new column.

Since: 3.2

## insertNextTo

gridInsertNextTo Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a, IsWidget b) |
=> a | `grid`: a `Grid`
-> b | `sibling`: the child of `grid` that the new row or column will be placed next to
-> PositionType | `side`: the side of `sibling` that `child` is positioned next to
-> m () |

Inserts a row or column at the specified position.

The new row or column is placed next to `sibling`, on the side determined by `side`. If `side` is `PositionTypeTop` or `PositionTypeBottom`, a row is inserted. If `side` is `PositionTypeLeft` of `PositionTypeRight`, a column is inserted.

Since: 3.2

## insertRow

gridInsertRow Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> Int32 | `position`: the position to insert the row at
-> m () |

Inserts a row at the specified position.

Children which are attached at or below this position are moved one row down. Children which span across this position are grown to span the new row.

Since: 3.2

## new

gridNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Grid | Returns: the new `Grid`

Creates a new grid widget.

## removeColumn

gridRemoveColumn Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> Int32 | `position`: the position of the column to remove
-> m () |

Removes a column from the grid.

Children that are placed in this column are removed, spanning children that overlap this column have their width reduced by one, and children after the column are moved to the left.

Since: 3.10

## removeRow

gridRemoveRow Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> Int32 | `position`: the position of the row to remove
-> m () |

Removes a row from the grid.

Children that are placed in this row are removed, spanning children that overlap this row have their height reduced by one, and children below the row are moved up.

Since: 3.10

## setBaselineRow

gridSetBaselineRow Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> Int32 | `row`: the row index
-> m () |

Sets which row defines the global baseline for the entire grid. Each row in the grid can have its own local baseline, but only one of those is global, meaning it will be the baseline in the parent of the `grid`.

Since: 3.10

## setColumnHomogeneous

gridSetColumnHomogeneous Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> Bool | `homogeneous`: `True` to make columns homogeneous
-> m () |

Sets whether all columns of `grid` will have the same width.

## setColumnSpacing

gridSetColumnSpacing Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> Word32 | `spacing`: the amount of space to insert between columns
-> m () |

Sets the amount of space between columns of `grid`.

## setRowBaselinePosition

gridSetRowBaselinePosition Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> Int32 | `row`: a row index
-> BaselinePosition | `pos`: a `BaselinePosition`
-> m () |

Sets how the baseline should be positioned on `row` of the grid, in case that row is assigned more space than is requested.

Since: 3.10

## setRowHomogeneous

gridSetRowHomogeneous Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> Bool | `homogeneous`: `True` to make rows homogeneous
-> m () |

Sets whether all rows of `grid` will have the same height.

## setRowSpacing

gridSetRowSpacing Source #

Arguments

:: (HasCallStack, MonadIO m, IsGrid a) |
=> a | `grid`: a `Grid`
-> Word32 | `spacing`: the amount of space to insert between rows
-> m () |

Sets the amount of space between rows of `grid`.

# Properties

## baselineRow

No description available in the introspection data.

constructGridBaselineRow :: (IsGrid o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`baseline-row`” property. This is rarely needed directly, but it is used by `new`.

getGridBaselineRow :: (MonadIO m, IsGrid o) => o -> m Int32 Source #

Get the value of the “`baseline-row`” property. When overloading is enabled, this is equivalent to

    get grid #baselineRow

setGridBaselineRow :: (MonadIO m, IsGrid o) => o -> Int32 -> m () Source #

Set the value of the “`baseline-row`” property. When overloading is enabled, this is equivalent to

    set grid [ #baselineRow := value ]

## columnHomogeneous

No description available in the introspection data.

constructGridColumnHomogeneous :: (IsGrid o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`column-homogeneous`” property. This is rarely needed directly, but it is used by `new`.

getGridColumnHomogeneous :: (MonadIO m, IsGrid o) => o -> m Bool Source #

Get the value of the “`column-homogeneous`” property. When overloading is enabled, this is equivalent to

    get grid #columnHomogeneous

setGridColumnHomogeneous :: (MonadIO m, IsGrid o) => o -> Bool -> m () Source #

Set the value of the “`column-homogeneous`” property. When overloading is enabled, this is equivalent to

    set grid [ #columnHomogeneous := value ]

## columnSpacing

No description available in the introspection data.

constructGridColumnSpacing :: (IsGrid o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`column-spacing`” property. This is rarely needed directly, but it is used by `new`.

getGridColumnSpacing :: (MonadIO m, IsGrid o) => o -> m Int32 Source #

Get the value of the “`column-spacing`” property. When overloading is enabled, this is equivalent to

    get grid #columnSpacing

setGridColumnSpacing :: (MonadIO m, IsGrid o) => o -> Int32 -> m () Source #

Set the value of the “`column-spacing`” property. When overloading is enabled, this is equivalent to

    set grid [ #columnSpacing := value ]

## rowHomogeneous

No description available in the introspection data.

constructGridRowHomogeneous :: (IsGrid o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`row-homogeneous`” property. This is rarely needed directly, but it is used by `new`.

getGridRowHomogeneous :: (MonadIO m, IsGrid o) => o -> m Bool Source #

Get the value of the “`row-homogeneous`” property. When overloading is enabled, this is equivalent to

    get grid #rowHomogeneous

setGridRowHomogeneous :: (MonadIO m, IsGrid o) => o -> Bool -> m () Source #

Set the value of the “`row-homogeneous`” property. When overloading is enabled, this is equivalent to

    set grid [ #rowHomogeneous := value ]

## rowSpacing

No description available in the introspection data.

constructGridRowSpacing :: (IsGrid o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`row-spacing`” property. This is rarely needed directly, but it is used by `new`.

getGridRowSpacing :: (MonadIO m, IsGrid o) => o -> m Int32 Source #

Get the value of the “`row-spacing`” property. When overloading is enabled, this is equivalent to

    get grid #rowSpacing

setGridRowSpacing :: (MonadIO m, IsGrid o) => o -> Int32 -> m () Source #

Set the value of the “`row-spacing`” property. When overloading is enabled, this is equivalent to

    set grid [ #rowSpacing := value ]